// Copyright (C) 2008 - 2010 - Michael Baudin

// dispmat_show --
//   Displays a matrix of +, - and blank spaces representing
//   the sign of the entries of the matrix.
//   Displays a 
//   + for a positive value
//   - for a negative value
//   " " for a zero
function dispmat_show ( A ) 
  m = size(A,"r")
  n = size(A,"c")
  for i = 1:m
    for j = 1:n
      if ( A(i,j) > 0 ) then
        mprintf("+");
      elseif ( A(i,j) < 0 ) then
        mprintf("-");
      else
        mprintf(" ");
      end
    end
    mprintf("\n");
  end
  mprintf("\n");
endfunction


